import { AbstractUiComponent } from "./AbstractUiComponent";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
import { UiHtmlViewCommandHandler, UiHtmlViewConfig } from "../generated/UiHtmlViewConfig";
export declare class UiHtmlView extends AbstractUiComponent<UiHtmlViewConfig> implements UiHtmlViewCommandHandler {
    private $main;
    constructor(config: UiHtmlViewConfig, context: TeamAppsUiContext);
    doGetMainElement(): HTMLElement;
    addComponent(containerElementSelector: string, component: unknown): void;
    removeComponent(component: unknown): void;
    setContentHtml(containerElementSelector: string, html: string): void;
}
